<?xml version="1.0" encoding="iso-8859-1"?>

<!--
   buildComum.xml - build file comum
   
   Autor: Felipe Leme <pente-fino@felipeal.net>   
-->

<project name="comum">

<!-- falha a build caso uma propriedade nao esteja definida -->
	<target name="checaPropriedade" unless="${propriedade}">
		<fail message="Propriedade ${propriedade} nao esta definida!"/>
	</target>
   
<!-- checa se o JAR contendo uma classe presente no diretorio de instalacao do Ant -->
   <target name="checaJar">
   		<available classname="${parametro.class}" property="checaJar.jar.presente"/>
   		<antcall target="checaJarFail"/>
   </target>
   <target name="checaJarFail" unless="checaJar.jar.presente">
   	   <fail  message="Copie arquivo ${parametro.jar} para ${env.ANT_HOME}/lib e execute o Ant novamente" />
   </target>
      
<!-- prepara o ambiente para os demais targets -->
   <target name="prepararAmbiente">
   		<!-- obtem data atual -->
 		<tstamp>
       		<format property="build.time" pattern="dd_MM_yyyy"/>
    	</tstamp>
		<!-- define a versao da release a partir da data -->
    	<property name="build.release" value="build_${build.time}"/>
    	<!-- cria os diretorios usados pela build -->    
      	<mkdir dir="${build.dir}"/>
      	<mkdir dir="${classes.dir}"/>
      	<mkdir dir="${dist.dir}"/>
      	<mkdir dir="${jsp.dir}"/>
   </target>
      
   <target name="limparTudo" description="Apaga todos os arquivos gerados pela build">
      <delete dir="${build.dir}"/>
   </target>
   
   <!-- para habilitar a emissao de sons em caso de sucesso ou fracasso de um target, adicionar
          emiteSons como dependencia do target -->
   <target name="emiteSons">
		<sound>
			<success source="${som.sucesso}"/>
    		<fail source="${som.falha}"/>
 		 </sound>
	</target>
	
	<target name="iniciarHsqldb" description="Inicia o banco HSQLDB em modo server">
		<java classname="org.hsqldb.Server" classpath="${lib.dir}/hsqldb.jar"/>
	</target>
	   

</project>